<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/View.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.View</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../HTML.html" >HTML</a>.View

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="View/Format.html" >Format</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Default and base class for formatting a view layout.</div></div>
<div class="item"><div class="synopsis">class <a href="View/Template.html" >Template</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format subclass that uses a template file to define the HTML header
    and footer for each view.</div></div>
<div class="item"><div class="synopsis">class <a href="View/View.html" >View</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line164" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for Views.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="View/Format.html" >Format</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Default and base class for formatting a view layout. The Format
    class basically defines the HTML used at the start and end of the view.
    The default creates an XHTML compliant header and footer with a proper
    title&#44; and link to the stylesheet.</div></div>
<div class="item"><div class="synopsis">class <a href="View/Template.html" >Template</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format subclass that uses a template file to define the HTML header
    and footer for each view.</div></div>
<div class="item"><div class="synopsis">class <a href="View/View.html" >View</a></div> <div class="xref"><a href="../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/HTML/View.py.html#line164" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for Views. The base class provides a common interface&#44; and
    also handles common operations such as opening the file&#44; and delegating
    the view formatting to a strategy class.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
